CaseTree.CaseKind (Java SE 25 & JDK 25)
Description: declaration: module: jdk.compiler, package: com.sun.source.tree, interface: CaseTree, enum: CaseKind
Keywords: com.sun.source.tree.CaseTree.CaseKind class

# Enum Class CaseTree.CaseKind

java.lang.Object
java.lang.Enum<CaseTree.CaseKind>
com.sun.source.tree.CaseTree.CaseKind

All Implemented Interfaces:
  `Serializable, Comparable<CaseTree.CaseKind>, Constable`

Enclosing interface:
  `CaseTree`

public static enum CaseTree.CaseKind extends Enum<CaseTree.CaseKind>
The syntactic form of this case:

- STATEMENT: `case <expression>: <statements>`
- RULE: `case <expression> -> <expression>/<statement>`

Since:
  14

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `RULE`
  Case is in the form: `case <expression> -> <expression>`.
  `STATEMENT`
  Case is in the form: `case <expression>: <statements>`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CaseTree.CaseKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CaseTree.CaseKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STATEMENT

    public static final CaseTree.CaseKind STATEMENT
    Case is in the form: `case <expression>: <statements>`.

  - ### RULE

    public static final CaseTree.CaseKind RULE
    Case is in the form: `case <expression> -> <expression>`.

- ## Method Details

  - ### values

    public static CaseTree.CaseKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CaseTree.CaseKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null